.filter {
  .cf;

  &__item {
    float: left;
    display: inline-block;
    margin-left: 44px;
    padding-left: 33px;
    position: relative;

    .tdn;
    .trz;
    .dark-blue-link;
    color: @dark_condensed;

    &:hover:before,
    &:active:before {
      border-color: @blue-condensed;
    }

    &:hover:after,
    &:active:after {
      background-color: @blue-condensed;
    }

    &:active:after {
      opacity: 1;
      visibility: visible;
    }

    &.active {
      &:after {
        opacity: 1;
        visibility: visible;
      }

      &:active {
        &:after {
          opacity: 0;
          visibility: hidden;
        }
      }
    }

    &:before {
      content: '';
      position: absolute;
      left: 0;
      top: 1px;
      width: 22px;
      height: 22px;
      border-radius: 11px;
      border: 2px solid @blue;
    }

    &:after {
      content: '';
      position: absolute;
      left: 7px;
      top: 8px;
      width: 8px;
      height: 8px;
      border-radius: 4px;
      background-color: @blue;
      visibility: hidden;
      opacity: 0;
      .trz;
    }
  }
}

// ==============
// !!RESPONSIVE!!
// ==============
//      DESK
// ==============
// @media (min-width: @screen-sm-min) {
// 
// }
// ==============
//     MOBILE
// ==============
@media (max-width: @screen-xs-max) {
  .filter {
    text-align: center;
    white-space: nowrap;
    font-size: 0;

    &__item {
      float: none;
      margin: 0;
      padding: 28px 0 0;
      margin: 0;
      width: 33.33%;
      font-size: 14px;

      &:before {
        left: 50%;
        margin-left: -11px;
      }

      &:after {
        left: 50%;
        margin-left: -4px;
      }
    }
  }
}